> ## Documentation Index
> Fetch the complete documentation index at: https://portal.itscovered.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Current Insurance Policies

> Add current insurance policies to a loan application



## OpenAPI

````yaml PUT /v1/loans/{id}/current-insurance
openapi: 3.1.0
info:
  description: Development documentation
  title: Lenders API
  version: 1.4.0
servers:
  - url: https://sandbox-api.itscovered.com/lenders
security: []
tags:
  - description: Health check
    name: health
  - description: Loans
    name: loans
  - description: Policies
    name: policies
  - description: Authentication
    name: auth
paths:
  /v1/loans/{id}/current-insurance:
    put:
      tags:
        - loans
      summary: Add Current Insurance Policies
      description: Add current insurance policies to a loan application
      operationId: putV1LoansByIdCurrent-insurance
      parameters:
        - description: The unique identifier of the loan application
          in: path
          name: id
          required: true
          schema:
            example: 693f2f46-69ff-4f20-a4d9-abe982d34fd4
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                currentInsurancePolicies:
                  items:
                    properties:
                      carrier:
                        anyOf:
                          - description: The name of the current insurance carrier
                            type: string
                          - type: 'null'
                      coverages:
                        properties:
                          a:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          b:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          c:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          computers:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          d:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          e:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          f:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          hvac:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          mineSubsidence:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          waterBackup:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                        type: object
                      deductible:
                        anyOf:
                          - description: The deductible of the current insurance policy
                            type: number
                          - type: 'null'
                      expirationDate:
                        anyOf:
                          - description: >-
                              The expiration date of the current insurance
                              policy
                            type: string
                          - type: 'null'
                      policyNumber:
                        anyOf:
                          - description: The policy number of the current insurance policy
                            type: string
                          - type: 'null'
                      policyType:
                        anyOf:
                          - description: The type of policy
                            enum:
                              - HO3
                              - HO5
                              - HO6
                            example: HO3
                          - type: 'null'
                      premium:
                        anyOf:
                          - description: The annual premium of the current insurance policy
                            type: number
                          - type: 'null'
                    type: object
                  type: array
              required:
                - currentInsurancePolicies
              type: object
          multipart/form-data:
            schema:
              properties:
                currentInsurancePolicies:
                  items:
                    properties:
                      carrier:
                        anyOf:
                          - description: The name of the current insurance carrier
                            type: string
                          - type: 'null'
                      coverages:
                        properties:
                          a:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          b:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          c:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          computers:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          d:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          e:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          f:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          hvac:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          mineSubsidence:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          waterBackup:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                        type: object
                      deductible:
                        anyOf:
                          - description: The deductible of the current insurance policy
                            type: number
                          - type: 'null'
                      expirationDate:
                        anyOf:
                          - description: >-
                              The expiration date of the current insurance
                              policy
                            type: string
                          - type: 'null'
                      policyNumber:
                        anyOf:
                          - description: The policy number of the current insurance policy
                            type: string
                          - type: 'null'
                      policyType:
                        anyOf:
                          - description: The type of policy
                            enum:
                              - HO3
                              - HO5
                              - HO6
                            example: HO3
                          - type: 'null'
                      premium:
                        anyOf:
                          - description: The annual premium of the current insurance policy
                            type: number
                          - type: 'null'
                    type: object
                  type: array
              required:
                - currentInsurancePolicies
              type: object
          text/plain:
            schema:
              properties:
                currentInsurancePolicies:
                  items:
                    properties:
                      carrier:
                        anyOf:
                          - description: The name of the current insurance carrier
                            type: string
                          - type: 'null'
                      coverages:
                        properties:
                          a:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          b:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          c:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          computers:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          d:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          e:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          f:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          hvac:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          mineSubsidence:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                          waterBackup:
                            properties:
                              amount:
                                type: number
                              included:
                                type: boolean
                            required:
                              - included
                              - amount
                            type: object
                        type: object
                      deductible:
                        anyOf:
                          - description: The deductible of the current insurance policy
                            type: number
                          - type: 'null'
                      expirationDate:
                        anyOf:
                          - description: >-
                              The expiration date of the current insurance
                              policy
                            type: string
                          - type: 'null'
                      policyNumber:
                        anyOf:
                          - description: The policy number of the current insurance policy
                            type: string
                          - type: 'null'
                      policyType:
                        anyOf:
                          - description: The type of policy
                            enum:
                              - HO3
                              - HO5
                              - HO6
                            example: HO3
                          - type: 'null'
                      premium:
                        anyOf:
                          - description: The annual premium of the current insurance policy
                            type: number
                          - type: 'null'
                    type: object
                  type: array
              required:
                - currentInsurancePolicies
              type: object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  id:
                    type: string
                required:
                  - id
                  - currentInsurancePolicies
                type: object
            multipart/form-data:
              schema:
                properties:
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  id:
                    type: string
                required:
                  - id
                  - currentInsurancePolicies
                type: object
            text/plain:
              schema:
                properties:
                  currentInsurancePolicies:
                    items:
                      properties:
                        carrier:
                          anyOf:
                            - description: The name of the current insurance carrier
                              type: string
                            - type: 'null'
                        coverages:
                          properties:
                            a:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            b:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            c:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            computers:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            d:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            e:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            f:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            hvac:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            mineSubsidence:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                            waterBackup:
                              properties:
                                amount:
                                  type: number
                                included:
                                  type: boolean
                              required:
                                - included
                                - amount
                              type: object
                          type: object
                        deductible:
                          anyOf:
                            - description: The deductible of the current insurance policy
                              type: number
                            - type: 'null'
                        expirationDate:
                          anyOf:
                            - description: >-
                                The expiration date of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyNumber:
                          anyOf:
                            - description: >-
                                The policy number of the current insurance
                                policy
                              type: string
                            - type: 'null'
                        policyType:
                          anyOf:
                            - description: The type of policy
                              enum:
                                - HO3
                                - HO5
                                - HO6
                              example: HO3
                            - type: 'null'
                        premium:
                          anyOf:
                            - description: >-
                                The annual premium of the current insurance
                                policy
                              type: number
                            - type: 'null'
                      type: object
                    type: array
                  id:
                    type: string
                required:
                  - id
                  - currentInsurancePolicies
                type: object
          description: >-
            The response to adding current insurance policies to a loan
            application
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Token
      scheme: bearer
      type: http

````